﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AbstractIceCreamShopDataModels.Enums;

namespace AbstractIceCreamShopDataModels.Models
{
    public interface IOrderModel : IId
    {
        int IceCreamId { get; }
        int ClientId { get; }
        int Count { get; }
        int? ImplementerId { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
    }
}
