﻿using System.ComponentModel.DataAnnotations;

namespace IceCreamShopDatabaseImplement.Models
{
    public class IceCreamComponent
    {
        public int Id { get; set; }

        [Required]
        public int IceCreamId { get; set; }

        [Required]
        public int ComponentId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Component Component { get; set; } = new();

        public virtual IceCream IceCream { get; set; } = new();
    }
}
