﻿using AbstractIceCreamShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IceCreamShopContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        public string Name { get; set; } = string.Empty;

        public string Adress { get; set; } = string.Empty;

        public DateTime OpeningDate { get; set; }

        public Dictionary<int, (IIceCreamModel, int)> ShopIceCreams { get; set; } = new();
        public int IceCreamMaxCount { get; set; }
    }
}
