﻿using AbstractIceCreamShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IceCreamShopContracts.ViewModels
{
    public class IceCreamViewModel : IIceCreamModel
    {
        public int Id { get; set; }
        [DisplayName("Название мороженого")]
        public string IceCreamName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> IceCreamComponents { get; set; } = new();
    }
}
